curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Cyberpunk Tokyo street",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
Seedream Text-to-Image — Generate images from text descriptions
curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Cyberpunk Tokyo street",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
Use Seedream image models to generate images from a prompt. 3 model versions are supported.Documentation Index
Fetch the complete documentation index at: https://docs.maxapi.io/llms.txt
Use this file to discover all available pages before exploring further.
seedream-5-lite · seedream-4.5 · seedream-4
seedream-4.5, seedream-5-lite.Hide properties
1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, 21:9.1k, 2k, 4k.1. Billing scales linearly with n.seedream-5-lite: 1–4seedream-4 / seedream-4.5: 1–15curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Cyberpunk Tokyo street",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad",
"status": "SUCCESS",
"input": {
"model": "seedream-4.5",
"prompt": "Cyberpunk Tokyo street",
"ratio": "16:9",
"resolution": "2k"
},
"result": {
"type": "image",
"urls": [
"https://example.com/output/image1.png",
"https://example.com/output/image2.png",
"https://example.com/output/image3.png",
"https://example.com/output/image4.png"
]
},
"created_at": "2026-02-10T21:54:46.686768Z",
"updated_at": "2026-02-10T21:55:04.039815Z"
}
}
result is only populated when status is SUCCESS.